/*****
*
* Copyright (C) 2001 Jeremie Brebec <flagg@ifrance.com>
* All Rights Reserved
*
* This file is part of the Prelude program.
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by 
* the Free Software Foundation; either version 2, or (at your option)
* any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; see the file COPYING.  If not, write to
* the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*
* Written by Jeremie Brebec <flagg@ifrance.com>
*
*****/


#ifndef RULES_DEFAULT_H
#define RULES_DEFAULT_H

#include "rules.h"

/*
 * Data type
 */
#define RULE_MESSAGE      1
#define RULE_REFERENCE    2
#define RULE_CONTENT      3
#define RULE_NOCASE       4
#define RULE_OFFSET       5
#define RULE_DEPTH        6
#define RULE_IPOPTS       7

typedef struct {
	char *msg;
	int len;
} data_msg_t;


void signature_engine_init(void);

rules_node_t *signature_engine_get_ip_root(void);

rules_node_t *signature_engine_get_tcp_root(void);

rules_node_t *signature_engine_get_udp_root(void);

rules_node_t *signature_engine_get_icmp_root(void);

int signature_engine_match_content(unsigned char *pdata, int dlen, void *data);

int signature_parser_parse_content(char *str, rules_t **rules);

#endif
